## xosd 2.2.14

=== debian/changelog ===
xosd (2.2.14-2.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:50 +0000

xosd (2.2.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/54_fix_man_makefile.diff: Remove duplicate listing of 
    man pages that break with newer automakes.
  * debian/control, debian/rules: Switch to dh-autoreconf. (Closes:
    #724447)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 16:40:55 -0500

xosd (2.2.14-2) unstable; urgency=low

  * Acknowledge NMUs by jmm, sven, luk, sam, porridge: Thanks.
  * debian/copyright: Fix upstream to me.
  * debian/source/format: Switch to 3.0 (quilt)
  * debian/rules: Switch from cdbs to debhelper.
  * debian/control: Standards-Version 3.9.2.
  * debian/libxosd2.symbols: Add symbol versioning.
  * Drop libxosd.la
  * debian/patches/328676.diff: Document osd_cat options (Closes: #328676)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 26 Jul 2011 14:25:41 +0200

xosd (2.2.14-1.7) unstable; urgency=low

  * Non-maintainer upload.
  * Remove spurious build-deps on libgtk1.2-dev and libgdk-pixbuf-dev, 
    which are both scheduled for removal (Closes: #516063).

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Feb 2009 22:04:34 +0100

xosd (2.2.14-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Replace pseudo dynamic Build-Conflict on libxosd-dev with an explicit
    one on libxosd-dev << 2.2.14 which is the current source:Version.
    Closes: #495246
  * Replace Source-Version with binary:Version for libxosd-dev Depends.
  * Replace the pseudo Homepage field with the real one.
  * Change the Homepage from http://www.ignavus.net/software.html to
    http://libxosd.sourceforge.net which offers a link for the current
    source download and the old website.
  * Remove Suggests: xfonts-base-transcoded from libxosd2. Closes: #370034
  * Updated the copyright file to reflect the website where you can obtain
    the source code and the license used.
  * Relibtoolized and autoreconfed to resolve
    the binary-or-shlib-defines-rpath warning on amd64.
    Thanks to Thomas Viehmann

 -- Sven Hoexter <sven@timegate.de>  Thu, 28 Aug 2008 21:49:40 +0200

xosd (2.2.14-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Drop xmms-osd-plugin as xmms is being removed (Closes: #451629).

 -- Luk Claes <luk@debian.org>  Mon, 21 Jan 2008 18:52:36 +0000

xosd (2.2.14-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/20_underquoted_definition.diff:
    + New patch. Fix underquoted definition of AM_PATH_LIBXOSD in libxosd.m4
      (Closes: #286156).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 25 Oct 2007 15:51:06 +0000

xosd (2.2.14-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Deleted packages removed during X.org 7 transition from build-deps and
    -dev package deps, added x11proto-core-dev, x11proto-xinerama-dev and
    x11proto-xext-dev to build-deps for some headers (Closes: #362882)

 -- Marcin Owsiany <porridge@debian.org>  Thu, 27 Apr 2006 21:03:37 +0100

xosd (2.2.14-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuilt to catch new Xinerama.so from x.org (Closes: #318150)
  * Added libxinerama-dev to build-deps and -dev package deps

 -- Marcin Owsiany <porridge@debian.org>  Thu, 14 Jul 2005 23:37:48 +0300

xosd (2.2.14-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add build dependencies on libx11-dev and libxext-dev and
    regenerate configure to fix FTBFS (Closes: #307794)

 -- Luk Claes <luk@debian.org>  Mon,  9 May 2005 20:16:06 +0200

xosd (2.2.14-1) unstable; urgency=medium

  * New upstream version.
    - Applied my 5[123] patches. (closes: #281190)
  * Urgency medium because prior versions are buggy and a lot of packages need
    a working version.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 17 Nov 2004 22:45:15 +0100

xosd (2.2.13-2) experimental; urgency=low

  * 51_timeout.diff: Fix timeout code again.
  * 52_bmp.diff: Fix buffer overflow also in duplicate code.
  * 53_documentation.diff: Fix one type and one missed change.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 10 Nov 2004 16:32:19 +0100

xosd (2.2.13-1) unstable; urgency=medium

  * New upstream version.
    - Applied my 44..50 patches.
    - Beep Media Player support. (Disabled for Debian)
  * Urgency medium because of important bug fixes.
  * Tighten dependencies in debian/shlibs.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue,  9 Nov 2004 09:48:23 +0100

xosd (2.2.12-2) experimental; urgency=low

  * 50_autoconf_xt.diff: Remove dependency on libxt-dev (closes: #279513)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed,  3 Nov 2004 18:08:16 +0100

xosd (2.2.12-1) experimental; urgency=low

  * New upstream version.
    - Applied my 4[0123] patches.
  * 44_endofhex.diff: Fix potential buffer overflow. (closes: #273374)
  * 45_timeout.diff: Fix negative timeouts. (closes: #277027)
  * 46_event.diff: Fix hang. (closes: #269671,#279406,#271807,#272692)
  * 47_exposure.diff: Reduce events to improve speed.
  * 48_update.diff: Fix lost update problem.
  * 49_debug.diff: Debug X11 events.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed,  3 Nov 2004 14:26:21 +0100

xosd (2.2.11-3) unstable; urgency=medium

  * 43_hang.diff: Hangs on init. (closes: #271131)
  * Still urgency medium because of #270722.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Mon, 13 Sep 2004 16:23:22 +0200

xosd (2.2.11-2) unstable; urgency=medium

  * 40_close_pipe.diff: Close pipes on destroy (closes: #270722)
  * 41_manpage.diff: Default is left not center (closes: #270902)
  * 42_align.diff: Fix center alignment (closes: #270738)
  * Urgency medium because of #270722.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Mon, 13 Sep 2004 16:20:23 +0200

xosd (2.2.11-1) unstable; urgency=medium

  * New upstream version.
    - Applied my 38_one_line.diff and 39_reorder.diff.

