=== debian/control ===
Source: xosd
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: dh-autoreconf,
 pkg-config,
 debhelper (>= 7.0.50),
 libx11-dev,
 libxext-dev,
 x11proto-core-dev,
 x11proto-xinerama-dev,
 x11proto-xext-dev,
 libxinerama-dev
Build-Conflicts: libxosd-dev (<< 2.2.14),
 autoconf2.13
Standards-Version: 3.9.2
Homepage: http://libxosd.sourceforge.net/

Package: libxosd2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libxosd
Replaces: libxosd, libxosd0
Description: X On-Screen Display library - runtime
 A library for displaying a TV-like on-screen display in X.
 It is from the pre-composing-window-manager area and only supports displaying
 simple text and a graphical slider.

Package: libxosd-dev
Section: libdevel
Architecture: any
Depends: libxosd2 (= ${binary:Version}),
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 ${misc:Depends}
Conflicts: libxosd
Description: X On-Screen Display library - development
 A library for displaying a TV-like on-screen display in X.
 .
 This package contains the development headers needed for compiling
 programs against libxosd.

Package: xosd-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X On-Screen Display library - binary files
 This package contains binary files shipped with the X OSD library:
 osd_cat - a 'cat' like program which will display its output in an
 OSD-like window
