=== debian/watch ===
version=3
http://sf.net/libxosd/ xosd-(.*)\.tar\.gz
#http://www.ignavus.net/software.html (?:.*/)?xosd-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
