## xosd 2.2.15

=== debian/changelog ===
xosd (2.2.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix gcc-15 FTBFS. (Closes: #1098159)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Sep 2025 14:07:00 -0700

xosd (2.2.15-1) unstable; urgency=medium

  * Team upload of Package Salvage team
    Closes: #1082598
  * New upstream version
  * Set Vcs-fields to Package Salvage team
  * New upstream Homepage
  * Point watch file to new upstream location
    Closes: #1082207
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove patch 53_bmp.diff.UNRESOLVED that is missing from
    debian/patches/series.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
    + Build-Depends: Replace dependency on transitional package
      x11proto-xinerama-dev with replacement x11proto-dev.
    + Build-Depends: Replace dependency on transitional package
      x11proto-xext-dev with replacement x11proto-dev.
    + Build-Conflicts: Drop conflict with removed package libxosd-dev (<<
      2.2.14).
  * Enable hardening options
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 13 Oct 2024 11:45:52 +0200
