=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: xosd
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
-Build-Depends: dh-autoreconf,
- pkg-config,
- debhelper (>= 7.0.50),
+Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
+Build-Depends:
+ pkgconf,
+ debhelper-compat (= 13),
  libx11-dev,
  libxext-dev,
- x11proto-core-dev,
- x11proto-xinerama-dev,
- x11proto-xext-dev,
+ x11proto-dev,
+ x11proto-dev,
+ x11proto-dev,
  libxinerama-dev
-Build-Conflicts: libxosd-dev (<< 2.2.14),
- autoconf2.13
-Standards-Version: 3.9.2
-Homepage: http://libxosd.sourceforge.net/
+Build-Conflicts: autoconf2.13
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/xosd
+Vcs-Git: https://salsa.debian.org/salvage-team/xosd.git
+Homepage: https://github.com/Schlauf/libXosd
+Rules-Requires-Root: no
 
 Package: libxosd2
 Section: libs
