=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-beep_media_player_plugin \
		--disable-old-plugin \
		--disable-new-plugin

override_dh_installdocs:
	dh_installdocs --all
