=== debian/watch ===
version=4

# Remark: Upstream repository is broken and should be fixed
#         Downloading the upstream tarball does not work this way - but a new version is reported at least
https://github.com/Schlauf/libXosd .*/blob/main/xosd-(\d[.\d]+)\.tar\.gz

#http://sf.net/libxosd/ xosd-(.*)\.tar\.gz
#http://www.ignavus.net/software.html (?:.*/)?xosd-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
